## pcre3-dmo 8.39

=== debian/changelog ===
pcre3-dmo (2:8.39-dmo2) unstable; urgency=medium

  * Move all aliased files from / to /usr

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Feb 2025 08:20:13 +0100

pcre3-dmo (2:8.39-dmo1) unstable; urgency=medium

  * Update to add -dmo1

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Aug 2024 09:15:00 +0200

pcre3-dmo (2:8.39-15.1) unstable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Oct 2023 15:36:36 +0200

pcre3 (2:8.39-15) unstable; urgency=medium

  * Make currently-important packages optional as pcre3 is obsolete
    (Closes: #1026214)

 -- Matthew Vernon <matthew@debian.org>  Thu, 22 Dec 2022 16:45:21 +0000

pcre3 (2:8.39-14) unstable; urgency=low

  * Relax Depends: of libpcre3-dev to just libc-dev (Closes: #1008714)

 -- Matthew Vernon <matthew@debian.org>  Sat, 02 Apr 2022 14:13:07 +0100

pcre3 (2:8.39-13) unstable; urgency=medium

  * upstream patch fixing CVE-2020-14155 (Closes: #963086)

 -- Matthew Vernon <matthew@debian.org>  Thu, 18 Jun 2020 19:33:56 +0100

pcre3 (2:8.39-12) unstable; urgency=medium

  * Patch from Andrej Shadura <andrew.shadura@collabora.co.uk> to mark one
    more STL symbol as optional (Closes: #923743).

 -- Matthew Vernon <matthew@debian.org>  Thu, 07 Mar 2019 15:30:15 +0000

pcre3 (2:8.39-11) unstable; urgency=medium

  [ Matthias Klose ]
  * Mark 2 STL symbols as optional (Closes: #904008)

  [ Matthew Vernon ]
  * Bump debian/compat to 11 (Closes: #646973)
  * Fixes to debian/rules so package builds with dh compat 11

 -- Matthew Vernon <matthew@debian.org>  Sat, 21 Jul 2018 14:59:04 +0100

pcre3 (2:8.39-10) unstable; urgency=high

  * Update symbols file (Closes: #897834

 -- Matthew Vernon <matthew@debian.org>  Tue, 17 Jul 2018 18:59:42 +0100

pcre3 (2:8.39-9) unstable; urgency=medium

  * Update symbols file (Closes: #888921)

 -- Matthew Vernon <matthew@debian.org>  Sat, 03 Feb 2018 18:27:50 +0000

pcre3 (2:8.39-8) unstable; urgency=medium

  * drive ulimit correctly (Closes: #876299)

 -- Matthew Vernon <matthew@debian.org>  Mon, 04 Dec 2017 05:27:10 +0000

pcre3 (2:8.39-7) unstable; urgency=low

  * increase stack limit before running tests (Closes: #876299)

 -- Matthew Vernon <matthew@debian.org>  Sun, 03 Dec 2017 12:21:44 +0000

pcre3 (2:8.39-6) unstable; urgency=medium

  * patch from Sergei from MariaDB (via Ondřej Surý) to fix stack frame
    size detection (Closes: #878107, #876299)

 -- Matthew Vernon <matthew@debian.org>  Thu, 30 Nov 2017 15:38:57 +0000

pcre3 (2:8.39-5) unstable; urgency=medium

  * patch from Katsuhiko Nishimra to symbols file to fix FTBFS with gcc7
    (Closes: #876046, #853606)

 -- Matthew Vernon <matthew@debian.org>  Tue, 19 Sep 2017 22:10:37 +0100

pcre3 (2:8.39-4) unstable; urgency=low

  * Remove now-deprecated Pre-Depends on multiarch-support (not needed
    since jessie) (Closes: #865987)

 -- Matthew Vernon <matthew@debian.org>  Sun, 23 Jul 2017 16:20:23 +0100

pcre3 (2:8.39-3) unstable; urgency=high

  * CVE-2017-7186: invalid Unicode property lookup may cause denial of
    service (Closes: #858238)

 -- Matthew Vernon <matthew@debian.org>  Tue, 21 Mar 2017 22:03:19 +0000

pcre3 (2:8.39-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2017-6004: crafted regular expression may cause denial of service
    (Closes: #855405)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 17 Feb 2017 15:56:09 +0100

pcre3 (2:8.39-2) unstable; urgency=low

  * Update symbols file to reflect compilation with gcc6 (Closes: #811969)

 -- Matthew Vernon <matthew@debian.org>  Fri, 19 Aug 2016 09:04:15 +0100

pcre3 (2:8.39-1) unstable; urgency=medium

  [ Ian Jackson ]
  * New upstream version (Closes: #832354).
    - Drop CVE-2016-1283.patch (now in upstream).
    - Adjusted sonames: bumped each minor number where upstream
      bumped theirs.

  [ Matthew Vernon ]
  * Add notes encouraging people to move to pcre2

 -- Matthew Vernon <matthew@debian.org>  Thu, 28 Jul 2016 16:58:55 +0100

pcre3 (2:8.38-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2016-1283: heap buffer overflow in handling of duplicate named
    groups (Closes: #809706)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 22 Mar 2016 21:05:13 +0100

pcre3 (2:8.38-3) unstable; urgency=low

  * Apply Ubuntu patch from Iain Lane (modified by Graham Inggs) to add
    symbols files (Closes: #767374)

 -- Matthew Vernon <matthew@debian.org>  Sun, 28 Feb 2016 11:24:52 +0000

pcre3 (2:8.38-2) unstable; urgency=low

  * Apply upstream patch to fix workspace overflow for (*ACCEPT) with
    deeply nested parentheses (Closes: #815921)

 -- Matthew Vernon <matthew@debian.org>  Sat, 27 Feb 2016 16:30:35 +0000

pcre3 (2:8.38-1) unstable; urgency=low

  * New upstream version

 -- Matthew Vernon <matthew@debian.org>  Tue, 22 Dec 2015 13:37:39 +0000

pcre3 (2:8.35-8) unstable; urgency=low

  * Remove conflicts with long-vanished pcre{1,2}-dev packages (so new PCRE2 packages can co-exist)

 -- Matthew Vernon <matthew@debian.org>  Sat, 21 Nov 2015 15:35:13 +0000

pcre3 (2:8.35-7.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix copy-and-paste error in Disable_JIT_on_sparc64.patch.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 02 Nov 2015 18:51:13 +0100

pcre3 (2:8.35-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Disable_JIT_on_sparc64.patch to disable JIT on sparc64. The patch
    no_jit_x32_powerpcspe.patch to disable JIT on powerpcspe was already
    added in 2:8.35-6 (Closes: #765079).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 02 Nov 2015 15:13:16 +0100

pcre3 (2:8.35-7.2) unstable; urgency=low

  * Non-maintainer upload (with maintainer's permission).
  * Add Fix-compiler-crash-misbehaviour-for-zero-repeated-gr.patch.
    Fixes "PCRE Library Stack Overflow Vulnerability" (Upstream bug 1503)
  * Add Fix-compile-time-loop-for-recursive-reference-within.patch.

