=== debian/rules ===
#!/usr/bin/make -f

ENABLE_JIT=$(shell . debian/jit-test)

%:
	dh $@ -X.la --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	$(ENABLE_JIT) \
	--enable-pcre16 \
	--enable-pcre32 \
	--enable-unicode-properties \
	--enable-utf8

execute_after_dh_install:
	# This man page is in the main package, don't want it in -dev
	rm debian/libpcre3-dev/usr/share/man/man3/pcrepattern.3

	# we never need to reference the library path in pcre-config on
	# Debian, so clip it out so that the script will be multiarch-safe.
	sed -i -e"s,/$(DEB_HOST_MULTIARCH),,g" debian/libpcre3-dev/usr/bin/pcre-config

override_dh_missing:
