=== debian/watch ===
version=4

opts=pgpmode=auto \
https://sf.net/pcre/ pcre-@ANY_VERSION@@ARCHIVE_EXT@
